all: ripquery

include ../MCONFIG
include ../MRULES

OBJS=	query.o

ripquery: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: ripquery
	install -d $(INSTALLROOT)$(SBINDIR)
	install -o root -g root -m $(BINMODE) ripquery $(INSTALLROOT)$(SBINDIR)
	install -d $(INSTALLROOT)$(MANDIR)/man8
	install -m$(MANMODE) ripquery.8 $(INSTALLROOT)$(MANDIR)/man8
clean:
	rm -f $(OBJS) ripquery

$(OBJS): ../version.h
